Become a MacRumors Supporter for $50/year with no ads, ability to filter front page stories, and private forums.

CharCat

macrumors member
Original poster
Jan 10, 2018
30
1
Until I get the time and courage, I'm going to staying on osx10.7.5. The big question is, what applications are compatible with this OSX version. Firefox won't go above v48 and others throw a warning they aren't compatible with 10.7.5. Any suggestions?
 

chscag

macrumors 601
Feb 17, 2008
4,622
1,940
Fort Worth, Texas
You can inquire of each app you're looking for. Just go to their respective website and look for older versions that are compatible with Lion. However, you need to know that security-wise Lion is not safe to use IMO. There really is no reason not to update. You need to take the "time and courage". ;)
 

thebadpete

macrumors newbie
Apr 17, 2020
3
0
For browsers, IMO the one the works the best is Firefox Legacy (https://parrotgeek.com/fxlegacy.html). Waterfox always crashes on me, Arcticfox is stable but it is too stripped down and doesn't support modern Firefox extensions.

On the other hand I am searching for a way to actually do Google Meet conferencing successfully on Lion. None of the browsers I have tried so far work at all. Considering that Zoom actually runs well on Lion, it is definitely not a hardware issue. Unfortunately Google Meet has no native clients on Mac.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.